Package org.eclipse.net4j.util.security.operations

# Class AuthorizableOperationFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.security.operations.AuthorizableOperationFactory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

public final class AuthorizableOperationFactory extends Factory

Since:
  3.16
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`AuthorizableOperationFactory()`

## Method Summary

Modifier and Type
Method
Description
`AuthorizableOperation`
`create(String description)`
`static AuthorizableOperation`
`getAuthorizableOperation(IManagedContainer container, String operationID)`
`static AuthorizableOperation[]`
`getAuthorizableOperations(IManagedContainer container)`
`static AuthorizableOperation[]`
`getAuthorizableOperations(IManagedContainer container, Predicate<AuthorizableOperation> filter)`
`String`
`getOperationID()`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### AuthorizableOperationFactory

public AuthorizableOperationFactory()

## Method Details

### getOperationID

public String getOperationID()

### create

public AuthorizableOperation create(String description) throws ProductCreationException

Throws:
  `ProductCreationException`

### getAuthorizableOperation

public static AuthorizableOperation getAuthorizableOperation(IManagedContainer container, String operationID)

### getAuthorizableOperations

public static AuthorizableOperation[] getAuthorizableOperations(IManagedContainer container)

### getAuthorizableOperations

public static AuthorizableOperation[] getAuthorizableOperations(IManagedContainer container, Predicate<AuthorizableOperation> filter)

Since:
  3.28